<s:div xmlns:g="http://www.ihe.net/gazelle" xmlns:ui="http://java.sun.com/jsf/facelets"
       xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
       xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
       xmlns="http://www.w3.org/1999/xhtml">

    <ui:decorate template="/layout/panels/_panel_title.xhtml">
        <ui:define name="panel_title">#{messages['gazelle.systems.system.DisplayIntegrationStatementLabel1']}
            #{systemInSessionEditor.getSystem().name}
        </ui:define>
        <p/>
        <h:panelGroup
                rendered="#{testingSessionManager.isRegistrationDeadlineExpired() and (s:hasRole('vendor_role') or s:hasRole('vendor_admin_role')) }">
            <p class="gzl-alert gzl-alert-orange">
                <span class="gzl-icon-history"/>
                <i>#{messages['gazelle.systems.system.RegistrationDeadlineExpired1']}
                </i>
                <i>#{messages['gazelle.systems.system.RegistrationDeadlineExpired3']}
                </i>
                <a href="mailto:#{gazelleDAO.getSelectedTestingSession().contactEmail}">#{gazelleDAO.getSelectedTestingSession().contactFirstname}
                    #{gazelleDAO.getSelectedTestingSession().contactLastname}</a>
                <i>#{messages['gazelle.systems.system.RegistrationDeadlineExpired4']}
                </i>
            </p>
        </h:panelGroup>

        <s:decorate id="iheImplementationsDecoration${panelId}">
            <s:div id="iheImplementationForSystemManagerShowDiv">
                #{iheImplementationForSystemManager.getAllIHEImplementationsForSystemInSession()}
                <div align="left">

                    <h:form>
                        <h:panelGroup rendered="#{applicationManager.isTestManagement()}">
                            <h:commandLink value="#{messages['gazelle.systems.system.GenerateSampleIS']}"
                                           action="#{iheImplementationForSystemManager.generatePDF(systemInSessionEditor.systemInSession)}"
                                           rendered="#{ not empty iheImplementationForSystemManager.iheImplementations and systemManager.canViewSystemInSessionAsVendor(systemInSessionEditor.systemInSession)}"
                                           styleClass="gzl-btn" target="_blank">
                                <span class="gzl-icon-pdf"/>
                            </h:commandLink>
                            <s:span rendered="#{iheImplementationForSystemManager.displayWarning()}">
                                <h:outputText  value="#{messages['net.ihe.gazelle.tm.WeAreSorryAtLeastOneProfileYouHaveSignedForHasBe']}" styleClass="gzl-alert gzl-alert-orange"/>
                            </s:span>
                        </h:panelGroup>
                    </h:form>
                </div>
                <p/>
                <h:form>
                    #{dataTableStateHolder.setAscendingOn('integrationProfile.keyword')}
                    <rich:dataTable id="iheImplementationForSystemManager" var="iheImplementationForSystem"
                                    value="#{iheImplementationForSystemManager.getIheImplementationsToDisplaySortable()}"
                                    columnClasses="center">
                        <rich:columnGroup>

                        </rich:columnGroup>
                        <g:column  style="text-align:left" sortBy="#{'integrationProfile.keyword'}" sortOrder="#{dataTableStateHolder.sortOrders['integrationProfile.keyword']}">
                            <ui:define name="header">
                                <h:outputText value="#{messages['gazelle.tf.IntegrationProfile']}"/>
                            </ui:define>
                            <g:link detailed="true" value="#{iheImplementationForSystem.integrationProfile}"/>
                        </g:column>
                        <g:column rendered="#{applicationManager.isTestManagement()}" style="pull-left">
                            <ui:define name="header">
                                <h:outputText value="#{messages['gazelle.tm.application.Testability']}"/>
                            </ui:define>
                            <h:outputText class ="#{testabilityTreatmentBean.getTestabilityStyle(systemInSessionListManager.getTestabilityForProfile(iheImplementationForSystem.integrationProfile))}"
                                          value="#{messages[testabilityTreatmentBean.getTestabilityLabel(systemInSessionListManager.getTestabilityForProfile(iheImplementationForSystem.integrationProfile))]}"/>
                        </g:column>
                        <g:column  style="text-align:left" sortBy="#{'actor.keyword'}"  sortOrder="#{dataTableStateHolder.sortOrders['actor.keyword']}">
                            <ui:define name="header">
                                <h:outputText value="#{messages['gazelle.tf.Actor']}"/>
                            </ui:define>
                            <g:link detailed="true" value="#{iheImplementationForSystem.actor}"/>
                        </g:column>
                        <g:column  style="text-align:left" sortBy="#{'integrationProfileOption.keyword'}" sortOrder="#{dataTableStateHolder.sortOrders['integrationProfileOption.keyword']}">
                            <ui:define name="header">
                                <h:outputText value="#{messages['gazelle.tf.IntegrationProfileOption']}"/>
                            </ui:define>
                            <g:link detailed="true" value="#{iheImplementationForSystem.integrationProfileOption}"/>
                        </g:column>
                        <g:column  rendered="#{applicationManager.isTestManagement()}">
                            <ui:define name="header">
                                <h:outputText value="#{messages['net.ihe.gazelle.tm.TestingDepthRequested']}"/>
                            </ui:define>
                            <h:outputText
                                    rendered="#{!testingDepthManager.couldSetWantedTestingDepth(iheImplementationForSystem)}"
                                    value="#{messages['gazelle.users.NA']}"/>
                            <s:span rendered="#{testingDepthManager.couldSetWantedTestingDepth(iheImplementationForSystem)}">
                                <s:span rendered="#{!testingDepthManager.canSetWantedTestingDepth(iheImplementationForSystem, systemInSessionEditor.getSystem())}">
                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.NotSet']}"
                                                  rendered="#{empty iheImplementationForSystem.wantedTestingDepth}"/>
                                    <h:panelGrid columns="2"
                                                 rendered="#{not empty iheImplementationForSystem.wantedTestingDepth}">
                                        <h:outputText value="#{iheImplementationForSystem.wantedTestingDepth.name}"/>
                                    </h:panelGrid>
                                </s:span>
                                <h:selectOneMenu styleClass="form-control gzl-form-control"
                                                 value="#{iheImplementationForSystem.wantedTestingDepth}"
                                                 rendered="#{testingDepthManager.canSetWantedTestingDepth(iheImplementationForSystem, systemInSessionEditor.getSystem())}">
                                    <s:selectItems value="#{testingDepthManager.possibleTestingDepths}"
                                                   noSelectionLabel="#{messages['gazelle.common.PleaseSelect']}"
                                                   var="testingDepth" label="#{testingDepth.name}"/>
                                    <a4j:ajax event="change"
                                              render="iheImplementationForSystemManagerShowDiv,checkDependenciesResetButton,pdfButton"
                                              listener="#{testingDepthManager.setWantedTestingDepthFromListbox(iheImplementationForSystem)}"/>
                                </h:selectOneMenu>
                            </s:span>
                        </g:column>
                        <g:column rendered="#{applicationManager.isTestManagement()}" style="text-align:center">
                            <ui:define name="header">
                                <h:outputText value="#{messages['net.ihe.gazelle.tm.TestingDepthReviewed']}"/>
                            </ui:define>
                            <h:outputText value="#{iheImplementationForSystem.testingDepthReviewed}"
                                          rendered="#{testingDepthManager.getAIPO(iheImplementationForSystem).maybeSupportive and !testingDepthManager.canSetTestingDepth(iheImplementationForSystem)}"/>
                            <h:selectBooleanCheckbox styleClass="form-control-static"
                                                     rendered="#{testingDepthManager.getAIPO(iheImplementationForSystem).maybeSupportive and testingDepthManager.canSetTestingDepth(iheImplementationForSystem)}"
                                                     value="#{iheImplementationForSystem.testingDepthReviewed}">
                                <a4j:ajax event="click" execute="@this"
                                          listener="#{testingDepthManager.setTestingDepthReviewed(iheImplementationForSystem, systemInSessionEditor.getSystem())}"/>
                            </h:selectBooleanCheckbox>
                        </g:column>
                        <g:column rendered="#{applicationManager.isTestManagement()}">
                            <ui:define name="header">
                                <h:outputText value="#{messages['net.ihe.gazelle.tm.TestingDepthApproved']}"/>
                            </ui:define>

                            <h:outputText value="#{iheImplementationForSystem.testingDepth.name}"
                                          rendered="#{!testingDepthManager.canSetTestingDepth(iheImplementationForSystem)}"/>

                            <h:selectOneMenu styleClass="form-control gzl-form-control"
                                             value="#{iheImplementationForSystem.testingDepth}"
                                             rendered="#{testingDepthManager.canSetTestingDepth(iheImplementationForSystem)}">
                                <s:selectItems value="#{testingDepthManager.possibleTestingDepths}"
                                               noSelectionLabel="#{messages['gazelle.common.PleaseSelect']}"
                                               var="testingDepth" label="#{testingDepth.name}"/>
                                <a4j:ajax event="change"
                                          render="iheImplementationForSystemManagerShowDiv,checkDependenciesResetButton,pdfButton"
                                          listener="#{testingDepthManager.setTestingDepthFromListbox(iheImplementationForSystem)}"/>
                            </h:selectOneMenu>
                        </g:column>
                    </rich:dataTable>
                </h:form>
            </s:div>
            <p/>
            <h:panelGroup rendered="#{ empty iheImplementationForSystemManager.iheImplementations}">
                <ui:decorate template="/layout/panels/_panel.xhtml">
                    <span class="gzl-icon-exclamation-triangle"/>

                    <p/>
                    <h:outputText id="noSystemLabel${panelId}"
                                  value="#{messages['gazelle.systems.system.NoIHEImplementationLabel1']}"
                                  style="font-style:italic"/>
                    <br/>
                    <h:outputText id="noSystemLabel2${panelId}"
                                  value="#{messages['gazelle.systems.system.NoIHEImplementationLabel2']}"
                                  style="font-style:italic"/>
                </ui:decorate>
            </h:panelGroup>
        </s:decorate>
    </ui:decorate>

</s:div>
